cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Modular.Linking

Synopsis

- validateLinking :: Index -> Tree d c -> Tree d c

# Documentation

validateLinking :: Index -> Tree d c -> Tree d c Source #

Validate linked packages

Verify that linked packages have

- Linked dependencies,
- Equal flag assignments
- Equal stanza assignments